package github.benjamin.equipreservebackend.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import github.benjamin.equipreservebackend.constant.DeviceStatus;
import github.benjamin.equipreservebackend.entity.Device;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class DeviceAdminVO {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long deviceId;
    private String name;
    private String usageRequirement;
    private String location;
    private String imagePath;
    private String status;

    public DeviceAdminVO(Device d) {
        this.deviceId = d.getId();
        this.name = d.getName();
        this.usageRequirement = d.getUsageRequirement();
        this.location = d.getLocation();
        this.imagePath = d.getImagePath();
        this.status = d.getStatus();
    }
}
